function cloud_load(url,zdroj)
%funkce načítá snímky z externího cloudového uložiště a obratem je ukládá
%do Matlab Cloud Storage

%% ÚPRAVA URL
switch zdroj
     case 'dr' %dropbox
            url = strrep(url,'dl=0','dl=1');
     case 'gd' %google drive
            url = strrep(url,'file/d/','open?id=');
            url = strrep(url,'open?','uc?export=download&');
            url = strrep(url,'/view?usp=drivesdk','');
    otherwise %chyba
            error('Zadat správný zdroj')
end


for i = 1:max(size(url))                                    %načítá adresy po řádcích/sloupcích
    cloud_img = double(imread(char(url(i))));               %snímek
    cloud_img_info =  imfinfo(char(url(i)));                %info o snímku
    number = num2str(i);
    file_name = strcat('cloud_img',number);
    save(char(file_name),'cloud_img','cloud_img_info');     %uloží obě proměnné
end

%test adresy
%url = {'https://drive.google.com/open?id=0B7yObLFsrZ0MeW9UUlpESTBSbDQ'
%        'https://drive.google.com/open?id=0B7yObLFsrZ0MdkYxWnFBMjlhRW8'}

end

